Gtk_Misc(3)

NAME - Gtk_Misc
Misc Widget Abstract.

HEADER REQUIRED
#include <gtk--/misc.h&gt;>

BASE CLASSES
Gtk_Widget(3)

DERIVED BY
Gtk_Arrow(3) Gtk_Image(3) Gtk_Label(3) Gtk_Pixmap(3)

DESCRIPTION
This is an abstract for a set of utility widgets that lack a physical window. They do have alignment and padding within their defined space.

Without a window, widgets of this type cannot capture events. To capture events place in Gtk_EventBox.

PROPERTIES

xalign
    Type: gfloat
    Set: set_alignment()

     Specify how to position the child widget when it is not allocated all the space available to it. A value of 0.0 positions the widget to the left or top of its allocated space. A value of 1.0 positions the widget to the right or bottom of its allocated space. Specifying 0.5 will center the widget in its allocated space.

    Range: 0.0 to 1.0

yalign
    Type: gfloat
    Set: set_alignment()

     see xalign

xpad
    Type: guint16
    Set: set_padding()

     Padding is space placed to either side of a widget to seperate it from its neighbors.

ypad
    Type: guint16
    Set: set_padding()

     see xpad

PUBLIC MEMBER INDEX
    Gtk_Misc(GtkMisc *castitem);
    void  set_alignment(gfloat xalign, gfloat yalign);
      Set the {xalign} and {yalign} of this widget.
    void  set_padding(gint xpad, gint ypad);
      Set the {xpad} and {ypad} of this widget.
    GtkMisc*  gtkobj();
    const GtkMisc*  gtkobj() const;
    static bool  isGtkMisc(Gtk_Object *checkcast);

PROTECTED MEMBER INDEX
    friend  CppClassType;
    typedef GtkMisc  BaseObjectType;
    typedef GtkMiscClass  BaseClassType;
    virtual void * get_parent_class();
    Gtk_Misc();

PRIVATE MEMBER INDEX
    static CppClassType  misc_class;
    GtkType  get_type();

PUBLIC MEMBER DESCRIPTIONS

PROTECTED MEMBER DESCRIPTIONS

PRIVATE MEMBER DESCRIPTIONS